Verify Email OTP

Verifies the User with Email OTP and Access Token, typically used when re-authentication via Email OTP is required.

PUT
/identity/v2/auth/account/reauth/2fa/otp/email/verify

Verifies the User with Email OTP and Access Token, typically used when re-authentication via Email OTP is required.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

access_token?string

Access Token of the User

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/identity/v2/auth/account/reauth/2fa/otp/email/verify?access_token=493318dd-487a-439b-8302-5e27f1110244&prevent_webhook=true" \  -H "X-PreventWebhook: true" \  -H "Content-Type: application/json" \  -d '{    "emailid": "string",    "otp": "string"  }'
{
  "SecondFactorValidationToken": "68***-91**-****-b**b-e**********9",
  "ExpireIn": "2023-10-01T12:00:00Z"
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}